Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.util
Class JboNamedData

    java.lang.Object
      |
      +--oracle.jbo.server.util.JboNamedData

public class JboNamedData
extends java.lang.Object
implements oracle.jbo.server.xml.JTPersistable, java.io.Serializable

This class implements a persistable name-value-type holder It can be used to store name-type-value triplets e.g., to persist Bean Properties. Used by JboValidatorType to store Validator bean's instance data.

Version:
  INTERNAL
See Also:
  Serialized Form

Fields inherited from interface oracle.jbo.server.xml.JTPersistable
`SQL_DELETE_STATEMENT, SQL_INSERT_STATEMENT, SQL_SELECT_STRING, SQL_UPDATE_STATEMENT, XML_STATEMENT`

Constructor Summary
`JboNamedData()`
`JboNamedData(JboNamedData other)`
`JboNamedData(java.lang.String name, java.lang.String type, java.lang.Object value)`

Method Summary
`java.lang.Object` | `clone()`
`static java.lang.String` | `convertToText(java.util.Vector vec, java.lang.String delim)`
`static java.util.Vector` | `convertToVector(java.lang.String str, java.lang.String delim)`
`void` | `copy(JboNamedData other)`
`oracle.jbo.server.xml.JTPersistable` | `findByFullName(java.lang.String jtpFullName)` Looks for an instance of this object's type with the given name.
`oracle.jbo.server.xml.JTPersistable` | `findByName(java.lang.String fullName)` Looks for an instance of this object's type with the given name.
`java.lang.String[]` | `getColumnList()`
`java.lang.String` | `getFullName()` This method returns the Persistence reference of the object.
`java.lang.String` | `getName()`
`int` | `getObjectID()` Returns the persistent ID for this object.
`java.lang.String` | `getObjectIDName()`
`java.lang.Object` | `getPersistStmt(int stmtType)` Returns a piece of static info for the type of object this is invoked upon.
`java.lang.String` | `getPersistTableName()`
`java.lang.Class` | `getType()`
`java.lang.Object` | `getTypedValue()`
`java.lang.Object` | `getValue()`
`boolean` | `isDirty()` This method returns if an Object is modified from last save/load
`boolean` | `isNew()` This method returns if this object is previously persisted.
`void` | `loadFromXMLFile(oracle.jbo.server.xml.JboElementImpl xmlElement)`
`void` | `readChildren(oracle.jbo.server.xml.JTStorageInput jis)` Reads the Object's children from Persistent storage
`void` | `readContents(oracle.jbo.server.xml.JTStorageInput jis)` Loads the property data for this object from the specified input stream.
`void` | `readObject(oracle.jbo.server.xml.JTStorageInput jis)` Objects should read their persistence input in this method
`void` | `setBeanProperty(java.beans.BeanInfo beanInfo, java.lang.Object bean)`
`void` | `setDirty(boolean isDirty)` This method marks the Object dirty
`void` | `setName(java.lang.String name)`
`void` | `setNew(boolean isNew)` This method marks the as previously persisted.
`void` | `setObjectID(int objectID)` Returns the persistent ID for this object.
`void` | `setType(java.lang.String type)`
`void` | `setValue(java.lang.Object value)`
`void` | `writeChildren(oracle.jbo.server.xml.JTStorageOutput jos)` Writes the Object's children to the Persistent storage
`void` | `writeContents(oracle.jbo.server.xml.JTStorageOutput jos)` Objects should write their persistence output in this method
`void` | `writeObject(oracle.jbo.server.xml.JTStorageOutput jos)` Objects should write their persistence output in this method

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JboNamedData

    public JboNamedData()

### JboNamedData

    public JboNamedData(java.lang.String name,
                        java.lang.String type,
                        java.lang.Object value)

### JboNamedData

    public JboNamedData(JboNamedData other)

Method Detail

### copy

    public void copy(JboNamedData other)

### clone

    public java.lang.Object clone()

  Overrides:
    clone in class java.lang.Object

### getName

    public java.lang.String getName()

### getValue

    public java.lang.Object getValue()

### getType

    public java.lang.Class getType()

### getTypedValue

    public java.lang.Object getTypedValue()

### setName

    public void setName(java.lang.String name)

### setType

    public void setType(java.lang.String type)

### setValue

    public void setValue(java.lang.Object value)

### setBeanProperty

    public void setBeanProperty(java.beans.BeanInfo beanInfo,
                                java.lang.Object bean)
                         throws java.lang.reflect.InvocationTargetException,
                                java.beans.IntrospectionException,
                                java.lang.IllegalAccessException

### isDirty

    public boolean isDirty()

  This method returns if an Object is modified from last save/load
  Specified by:
    isDirty in interface oracle.jbo.server.xml.JTPersistable
  Returns:
    Returns true if the Object is dirty. Returns false otherwise.

### setDirty

    public void setDirty(boolean isDirty)

  This method marks the Object dirty
  Specified by:
    setDirty in interface oracle.jbo.server.xml.JTPersistable
  Parameters:
    `isDirty` - If true the Object is marked Dirty.

### isNew

    public boolean isNew()

  This method returns if this object is previously persisted.
  Specified by:
    isNew in interface oracle.jbo.server.xml.JTPersistable
  Returns:
    true if the Object is previously persisted. Returns false otherwise.

### setNew

    public void setNew(boolean isNew)

  This method marks the as previously persisted. By default all objects are new objects. When the object is persisted first time, that object is marked as 'not new' object
  Specified by:
    setNew in interface oracle.jbo.server.xml.JTPersistable
  Parameters:
    `isNew` - If true the Object is marked as new object.

### getFullName

    public java.lang.String getFullName()

  This method returns the Persistence reference of the object. The Persistence Reference is uniquely identifiable fully qualified name of the object.
  Specified by:
    getFullName in interface oracle.jbo.server.xml.JTPersistable
  Returns:
    the Persistence Reference of the object

### writeObject

    public void writeObject(oracle.jbo.server.xml.JTStorageOutput jos)
                     throws oracle.jbo.server.xml.JTPersistenceException

  Objects should write their persistence output in this method
  Specified by:
    writeObject in interface oracle.jbo.server.xml.JTPersistable
  Parameters:
    `jos` - the Output storage for persistence

### writeContents

    public void writeContents(oracle.jbo.server.xml.JTStorageOutput jos)
                       throws oracle.jbo.server.xml.JTPersistenceException

  Objects should write their persistence output in this method
  Specified by:
    writeContents in interface oracle.jbo.server.xml.JTPersistable
  Parameters:
    `jos` - the Output storage for persistence

### writeChildren

    public void writeChildren(oracle.jbo.server.xml.JTStorageOutput jos)
                       throws oracle.jbo.server.xml.JTPersistenceException

  Writes the Object's children to the Persistent storage
  Specified by:
    writeChildren in interface oracle.jbo.server.xml.JTPersistable
  Parameters:
    `jos` - the Output storage for persistence

### readObject

    public void readObject(oracle.jbo.server.xml.JTStorageInput jis)
                    throws oracle.jbo.server.xml.JTPersistenceException

  Objects should read their persistence input in this method
  Parameters:
    `jis` - the Input storage for persistence.

### getPersistStmt

    public java.lang.Object getPersistStmt(int stmtType)

  Returns a piece of static info for the type of object this is invoked upon. Examples are PreparedStatements for insert, update, delete, and String containing a base the select statement for retrieving instances of this type through the SQLInputStream
  Specified by:
    getPersistStmt in interface oracle.jbo.server.xml.JTPersistable
  Parameters:
    `type` - Type of the Persistence Statement requested. The type can be any of the Statement types defined in this interface.
  Returns:
    returns the Statement required to store in Persitent Storage. Incase of XML, it just returns the String. In the case of SQL a JDBC PreparedStatement is returned.

### getPersistTableName

    public java.lang.String getPersistTableName()

  Returns:
    the name of the table used to persist instances of this type

### getColumnList

    public java.lang.String[] getColumnList()

  Returns:
    the names of all persistent properties for this type, including the properties it inherits through its supertypes, if any

### findByName

    public oracle.jbo.server.xml.JTPersistable findByName(java.lang.String fullName)

  Looks for an instance of this object's type with the given name. If the object is found, it is returned. Otherwise, it returns null. Does not attempt to load the instance with this name from persistent storage.
  Returns:
    the object of this instance's type with the given name, or null if not found

### findByFullName

    public oracle.jbo.server.xml.JTPersistable findByFullName(java.lang.String jtpFullName)

  Looks for an instance of this object's type with the given name. If the object is found, it is returned. Otherwise, it returns null. Does not attempt to load the instance with this name from persistent storage.
  Returns:
    the object of this instance's type with the given name, or null if not found

### readContents

    public void readContents(oracle.jbo.server.xml.JTStorageInput jis)
                      throws oracle.jbo.server.xml.JTPersistenceException

  Loads the property data for this object from the specified input stream.
  Parameters:
    `jis` - The persistent input stream

### readChildren

    public void readChildren(oracle.jbo.server.xml.JTStorageInput jis)
                      throws oracle.jbo.server.xml.JTPersistenceException

  Reads the Object's children from Persistent storage
  Parameters:
    `jos` - the Input storage for persistence

### getObjectID

    public int getObjectID()

  Returns the persistent ID for this object. Generates a new one the first time it is called on a new (not loaded) object.

### setObjectID

    public void setObjectID(int objectID)

  Returns the persistent ID for this object. Generates a new one the first time it is called on a new (not loaded) object.

### getObjectIDName

    public java.lang.String getObjectIDName()

  Returns:
    the name of the column holding the persistent ID

### loadFromXMLFile

    public void loadFromXMLFile(oracle.jbo.server.xml.JboElementImpl xmlElement)

### convertToText

    public static java.lang.String convertToText(java.util.Vector vec,
                                                 java.lang.String delim)

### convertToVector

    public static java.util.Vector convertToVector(java.lang.String str,
                                                   java.lang.String delim)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD